File Sync error (IOError with tritcask metadata)

Bug #776386 reported by Alex on 2011-05-03
64
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Status tracked in Trunk
Stable-1-6
High
Guillermo Gonzalez
Trunk
High
Guillermo Gonzalez
ubuntuone-client (Ubuntu)
High
dobey
Natty
High
Unassigned
Oneiric
High
dobey

Bug Description

When Ubuntu One is running it makes Nautilus freeze/crash/very slow.

Error message in Ubuntu One control panel: "File Sync error. (org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus))"

Ever since that error showed up Nautilus crashes very often.

I did uninstall Ubuntu One and had no problems. When i reinstalled it the problem appeared again.

After killing the nautilus processes a couple of times i did get it working for a while.

---

TEST CASE: Tests are written as unit tests. Testing manually in a reproducible manner is difficult since we need to have a file that is corrupted (one that cannot be read).

Related branches

Natalia Bidart (nataliabidart) wrote :

Hello,

Can you please attach all your logs files located at:

.cache/ubuntuone/log

Thanks!

Changed in ubuntuone-client:
assignee: nobody → Naty Bidart (nataliabidart)
status: New → Incomplete
Alex (alex-1992) wrote :

Ok...How do i attach multiple files?

Alex (alex-1992) wrote :
Alex (alex-1992) wrote :

Sorry that I post more comments, but I could not figure out how I add multiple attachments in a comment. :/

Natalia Bidart (nataliabidart) wrote :

Hello Alex,

syncdaemon is not being able to load a metadata file, I'm assigning to the proper person.

Thanks!

summary: - File Sync error crashes nautilus.
+ File Sync error
summary: - File Sync error
+ File Sync error (IOError with tritcask metadata)
Changed in ubuntuone-client:
assignee: Natalia Bidart (nataliabidart) → Guillermo Gonzalez (verterok)
status: Incomplete → Triaged
tekstr1der (tekstr1der) wrote :

Not only is this causing nautilus to hang, but once invoked, creates a situation where 100% CPU is being consumed, making the entire session and all applications slow to respond. This is a critical bug and should have a high importance set!

Alex (alex-1992) wrote :

I have also experienced that.

How to:
1. Close nautilus(If it is open)
2. Open the Ubuntu One control panel and wait for the "File Sync error" to appear.
3. Open Nautilus.

CPU usage will increase drastically without showing what process is using it in the process list.

When forcing nautilus to quit the CPU usage goes back to normal.

"This is a critical bug and should have a high importance set!"
I am not sure of how many people this affects, but for those who is affected by it it causes a lot of frustration. Well, at least for those who often use Ubuntu one. I miss Ubuntu One <3 :(

tekstr1der (tekstr1der) wrote :

Is there any known workaround while this bug is being fixed?

U1 is unusable currently.

Changed in ubuntuone-client:
importance: Undecided → High
Guillermo Gonzalez (verterok) wrote :

Hi,

Looks like your disk has some bad sectors or sth.
I'ld suggest to do a backup of every bit of important information you have, just in case :)

I'll work on fix so syncdaemon recreates the file when it hits this kind of Input/Output error, in the meantime you can try to workaround this by deleting the offending file and executing in a terminal:

u1sdtool --rescan-from-scratch=''

Roman Yepishev (rye) wrote :

tekstr1der, are you using encrypted home directory?

tekstr1der (tekstr1der) wrote :

@Guillermo: Thanks for the quick reply. My problem is not related to the HDD. I currently have zero bad sectors and zero reallocated sectors.

After following instructions for complete purging and re-installation of ubuntu one, the issue remains...without any files to sync locally, having removed them to rule out any local file problems. I followed joshuahoover's instructions:

    Quit the Ubuntu One client
    $ sudo rm -rf ~/.share/local/ubuntuone
    $ rm -rf ~/.cache/ubuntuone
    $ rm -rf ~/.config/ubuntuone
    $ mv ~/Ubuntu\ One/ ~/Ubuntu\ One_old/
    Open Applications->Accessories->Passwords and Encryption Keys, go to the Passwords tab, delete the Ubuntu One token
    $ sudo apt-get purge ubuntuone*
    $ sudo apt-get install ubuntuone*
    Open Applications->Internet->Ubuntu One and you should have to add your computer via the web page that comes up once you login to Ubuntu One
    Put a small text file in the newly created ~/Ubuntu One/ directory and make sure that syncs correctly, if not, please report a bug
    If all goes well this far, move the files and folders from ~/Ubuntu One_old/ to ~/Ubuntu One/ and the sync should happen

Never got to the last two steps. Immediately on signing into the new U1 client applet, I get the error:

File Sync error. (org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus))

and nautilus is hung, and CPU is 100% until session is terminated. Simply having Ubuntu One ticked in Startup Applications causes this behavior at login. The only way for me to have a useable session is to disable U1 entirely.

tekstr1der (tekstr1der) wrote :

@Roman: Yes, my ~/ is encrypted with ecryptfs via ubiquity option on fresh install.

Guillermo Gonzalez (verterok) wrote :

Hi,

could you check the permissions, please paste the output of:

ls -la /home/alex/.local/share/ubuntuone/syncdaemon/tritcask/

and

ls -la /home/alex/.local/share/ubuntuone/syncdaemon/

Thanks

Alex (alex-1992) wrote :

I am sorry, i reinstalled Ubuntu yesterday to get it working again.

I hope @tekstr1der can give you the information you need.

Again, I am sorry. :(

tekstr1der (tekstr1der) wrote :

marc@valhalla:~$ ls -la /home/marc/.local/share/ubuntuone/syncdaemon/tritcask/
total 232
drwxr-xr-x 2 marc marc 12288 2011-05-06 16:42 .
drwxr-xr-x 5 marc marc 4096 2011-04-07 11:48 ..
-rw-r--r-- 1 marc marc 57230 2011-05-03 11:39 130443717552015.inactive.tritcask-v1.data
-rw-r--r-- 1 marc marc 5136 2011-05-03 11:39 130443717552015.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 marc marc 573 2011-05-03 17:21 130443717577430.inactive.tritcask-v1.data
-rw-r--r-- 1 marc marc 36 2011-05-04 09:09 130443717577430.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 marc marc 764 2011-05-04 10:14 130446960588894.inactive.tritcask-v1.data
-rw-r--r-- 1 marc marc 36 2011-05-05 13:27 130446960588894.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 marc marc 955 2011-05-05 19:18 130453092339223.inactive.tritcask-v1.data
-rw-r--r-- 1 marc marc 36 2011-05-06 11:02 130453092339223.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 marc marc 764 2011-05-06 13:11 130468642332079.inactive.tritcask-v1.data
-rw-r--r-- 1 marc marc 36 2011-05-06 16:36 130468642332079.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 marc marc 573 2011-05-06 16:36 130470246579201.inactive.tritcask-v1.data
-rw-r--r-- 1 marc marc 36 2011-05-06 16:42 130470246579201.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 marc marc 191 2011-05-06 16:37 130471424940549.inactive.tritcask-v1.data
-rw-r--r-- 1 marc marc 0 2011-05-06 16:42 130471424940549.inactive.tritcask-v1.data.hint

marc@valhalla:~$ ls -la /home/marc/.local/share/ubuntuone/syncdaemon/
total 40
drwxr-xr-x 5 marc marc 4096 2011-04-07 11:48 .
drwxr-xr-x 4 marc marc 4096 2011-04-06 15:29 ..
drwxr-xr-x 2 marc marc 4096 2011-04-07 11:48 fsm
-rw-r--r-- 1 marc marc 1 2011-04-06 15:29 metadata_version
drwxr-xr-x 2 marc marc 12288 2011-05-06 16:42 tritcask
drwxr-xr-x 5 marc marc 4096 2011-04-06 15:29 vm

tekstr1der (tekstr1der) wrote :

As you can see, the latest modify date in either directory is 05/06/11, the same day Alex reported this issue. It took me some frustrating days to pinpoint what was causing nautilus to hang and use 100% CPU, as when this occurs neither top, htop, nor gnome-system-monitor are able to display the process using all the CPU cycles. Very frustrating!

Now, with U1 disabled, my system is usable, but of course I no longer am able to store/sync any files with the service. Simply launching ubuntuone-control-panel-gtk results in the aforementioned dbus error, nautilus freezing, and 100% CPU usage requiring a session restart.

tekstr1der (tekstr1der) wrote :

Wow, I was not really paying attention when I followed Joshua Hoover's instructions on ubuntuforums. After reviewing the steps I took to purge U1 (copy/paste=dumb), I realized that the very first deletion from the home directory in the instructions is incorrectly listed as ".share/local..." rather than ".local/share...".

Ha! after properly deleting all ~/...ubuntuone directories, I have managed to sign in, connect and it's currently syncing (albeit _very_ slowly) my files. Nautilus is not hung and CPU usage is nominal. I can't believe how much time I wasted over a typo!

Guillermo Gonzalez (verterok) wrote :

Alex,
Let us know if something like this happens again.

tekstr1der,
Looks like you had a similar symptom (100% cpu usage), but a different problem.
In case you still have previous/old logs around that show any kind of error, please attach them to the bug.

Thanks.

Changed in ubuntuone-client:
status: Triaged → Incomplete
Changed in ubuntuone-client:
status: Incomplete → Opinion
status: Opinion → Triaged
Alex (alex-1992) wrote :

Here we go again, same problem as last time. (I have not reinstalled nautilus/ubuntu one yet)

1: Start Ubuntu.
2: Open the Ubuntu One control panel.(File Sync error. (org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)))
3: Try to open nautilus.

Nautilus freezes/is extremely slow.

$ ls -la /home/alex/.local/share/ubuntuone/syncdaemon/tritcask/
totalt 412
drwxr-xr-x 2 alex alex 16384 2011-09-05 22:01 .
drwxr-xr-x 5 alex alex 4096 2011-08-03 19:49 ..
-rw-r--r-- 1 alex alex 90388 2011-09-03 22:47 131508286355473.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 9056 2011-09-03 22:47 131508286355473.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 1860 2011-09-03 22:47 131508286357172.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 836 2011-09-03 23:34 131508286357172.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 772 2011-09-03 23:30 131508541192526.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 36 2011-09-04 13:45 131508541192526.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 10891 2011-09-03 23:46 131508566628782.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 416 2011-09-04 15:26 131508566628782.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 21289 2011-09-04 14:34 131513671035146.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 876 2011-09-04 23:38 131513671035146.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 1316 2011-09-04 15:27 131514277395592.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 436 2011-09-05 11:08 131514277395592.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 1544 2011-09-04 23:57 131517233157400.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 36 2011-09-05 11:31 131517233157400.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 772 2011-09-05 11:09 131521371748605.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 36 2011-09-05 11:31 131521371748605.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 21016 2011-09-05 11:50 131521511323134.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 676 2011-09-05 21:57 131521511323134.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 1316 2011-09-05 15:06 131522795860621.inactive.tritcask-v1.data
-rw-r--r-- 1 alex alex 436 2011-09-05 22:01 131522795860621.inactive.tritcask-v1.data.hint
-rw-r--r-- 1 alex alex 12288 2011-09-05 22:01 131525265623832.live.tritcask-v1.data

$ ls -la /home/alex/.local/share/ubuntuone/syncdaemon/
totalt 44
drwxr-xr-x 5 alex alex 4096 2011-08-03 19:49 .
drwxr-xr-x 4 alex alex 4096 2011-08-03 19:38 ..
drwxr-xr-x 2 alex alex 4096 2011-08-03 19:49 fsm
-rw-r--r-- 1 alex alex 1 2011-08-03 19:38 metadata_version
drwxr-xr-x 2 alex alex 16384 2011-09-05 22:01 tritcask
drwxr-xr-x 5 alex alex 4096 2011-08-03 19:38 vm

Alex (alex-1992) wrote :

I just tried to reinstall Ubuntu One by following these steps: http://ubuntuforums.org/showpost.php?p=8146023&postcount=2

"File Sync error. (Org.freedesktop.DBus.Error.NoReply: Message did not Receive a reply (timeout by message bus))"
Exactly the same problem that I had on my laptop four months ago. (Exactly four months?)

Both computers used encrypted home directory, Corsair Force SSD's and Ubuntu 11.04.

Changed in ubuntuone-client:
status: Triaged → In Progress
Changed in ubuntuone-client:
status: In Progress → Fix Committed

Hi,

when the fix is committed, how can I get this fix and how can I apply it?

Thanks,
Alexander

dobey (dobey) on 2011-09-27
Changed in ubuntuone-client (Ubuntu):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → High
status: New → In Progress
milestone: none → ubuntu-11.10
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 2.0.0-0ubuntu1

---------------
ubuntuone-client (2.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - No watches needed on parent folders (LP: #838111)
    - Root is always subscribed (LP: #842839)
    - Unicode path asserts failing (LP: #845009)
    - Local Rescan is putting non-UTF8 paths into syncdaemon (LP: #696901)
    - IOError in tritcask metadata (LP: #776386)
    - Missinglogin_email_password on Linux (LP: #831043)
    - Unsubscribing share and deleting content triggers unlinks (LP: #820353)
    - Only make the link if it doesn't exist (LP: #833812)
    - Client restarts on SSL connection error (LP: #833388)
    - Stop logging sensitive data (LP: #837488)
    - Add delay to the hash queue (LP: #838104)
    - Crash if no keydir stats for inactive file (LP: #848224)
    - Use correct desktop file for launcher progress bar (LP: #851187)
    - Folder nesting check is incorrect (LP: #854776)
    - Should have a --version switch for u1sdtool (LP: #379841)
  * debian/control:
    - Update versions of some dependencies to be more correct
    - Recommend ubuntuone-installer needed for Unity launcher integration
 -- Rodney Dawes <email address hidden> Tue, 27 Sep 2011 11:18:41 -0400

Changed in ubuntuone-client (Ubuntu Oneiric):
status: In Progress → Fix Released
description: updated
tags: added: u1-natty-sru
Changed in ubuntuone-client (Ubuntu Natty):
importance: Undecided → High
milestone: none → natty-updates
dino99 (9d9) wrote :

stable is now 4.2

Changed in ubuntuone-client (Ubuntu Natty):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers